statshawk
REST APICompetitions

GET /v1/competitions/{comp}/standings — the DEFAULT standings: the

latest edition with at least one completed contest (see [default_standings_list]). Explicit-year reads stay on /editions/{year}/standings, including honestly-empty shell seasons.

cost 1 unitany plan
GET
/v1/competitions/{comp}/standings

latest edition with at least one completed contest (see [default_standings_list]). Explicit-year reads stay on /editions/{year}/standings, including honestly-empty shell seasons.

X-API-Key<token>

Raw API key (sk_live_… or sk_test_…). Preferred for REST clients.

In: header

Path Parameters

comp*string

Competition slug (nba, mlb, epl, …)

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/competitions/string/standings"
{
  "data": {
    "competition": "comp_0a1b2c3d4e5f6g7h8i9j0k1l2m",
    "entries": [
      {
        "entrant": "ent_0a1b2c3d4e5f6g7h8i9j0k1l2m",
        "games_played": 0,
        "losses": 0,
        "otl": 0,
        "pct": 0.1,
        "points": 0,
        "points_against": 0,
        "points_for": 0,
        "team": {
          "home_competition": "comp_0a1b2c3d4e5f6g7h8i9j0k1l2m",
          "id": "team_0a1b2c3d4e5f6g7h8i9j0k1l2m",
          "name": "string",
          "sport": "basketball",
          "traits": [
            {
              "country": "BRA",
              "kind": "represents_country"
            }
          ]
        },
        "ties": 0,
        "wins": 0
      }
    ],
    "season_year": 0
  },
  "meta": {
    "cache": "HIT",
    "fetched_at": "2025-10-15T18:30:00Z",
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",
    "source": "postgres",
    "version": "v1"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "property1": null,
    "property2": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "property1": null,
    "property2": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "property1": null,
    "property2": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "property1": null,
    "property2": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "property1": null,
    "property2": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "property1": null,
    "property2": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "property1": null,
    "property2": null
  }
}